Index: modipsl/trunk/doc/NEMO_CeCILL.txt
===================================================================
--- modipsl/trunk/doc/NEMO_CeCILL.txt	(revision 2)
+++ modipsl/trunk/doc/NEMO_CeCILL.txt	(revision 2)
@@ -0,0 +1,34 @@
+The following licence information concerns ONLY the NEMO SYSTEM
+===============================================================
+
+Copyright © Centre National de la Recherche Scientifique CNRS  
+
+This software is a computer program whose purpose is the numerical
+modelling of the ocean dynamics (direct, adjoint and linear-tangent
+components), tracers, biogeochemistry and sea-ice.
+
+This software is governed by the CeCILL  license under French law and
+abiding by the rules of distribution of free software.  You can  use, 
+modify and/ or redistribute the software under the terms of the CeCILL
+license as circulated by CEA, CNRS and INRIA at the following URL
+"http://www.cecill.info". 
+
+As a counterpart to the access to the source code and  rights to copy,
+modify and redistribute granted by the license, users are provided only
+with a limited warranty  and the software's author,  the holder of the
+economic rights,  and the successive licensors  have only  limited
+liability. 
+
+In this respect, the user's attention is drawn to the risks associated
+with loading,  using,  modifying and/or developing or reproducing the
+software by the user in light of its specific status of free software,
+that may mean  that it is complicated to manipulate,  and  that  also
+therefore means  that it is reserved for developers  and  experienced
+professionals having in-depth computer knowledge. Users are therefore
+encouraged to load and test the software's suitability as regards their
+requirements in conditions enabling the security of their systems and/or 
+data to be ensured and,  more generally, to use and operate it in the 
+same conditions as regards security. 
+
+The fact that you are presently reading this means that you have had
+knowledge of the CeCILL license and that you accept its terms.
Index: modipsl/trunk/util/AA_make.gdef
===================================================================
--- modipsl/trunk/util/AA_make.gdef	(revision 2)
+++ modipsl/trunk/util/AA_make.gdef	(revision 2)
@@ -0,0 +1,529 @@
+#-
+#- $Id: AA_make.gdef,v 2.24 2006/03/24 15:31:56 adm Exp $
+#-
+#-Q- aix      #- Global definitions for IBM AIX (MPP)
+#-Q- aix      M_K = gmake
+#-Q- aix      P_C = /usr/lib/cpp
+#-Q- aix      P_O = -P -I/usr/lpp/ppe.poe/include/thread64 -C $(P_P:-WF,-D%=-D%)
+#-Q- aix      F_C = mpxlf90_r -c
+#-Q- aix      #-D- MD    F_D =
+#-Q- aix      #-D- MN    F_D =
+#-Q- aix      #-P- I4R4  F_P = -qrealsize=4
+#-Q- aix      #-P- I4R8  F_P = -qrealsize=8
+#-Q- aix      #-P- I8R8  F_P =
+#-Q- aix      #-P- ??    F_P = -qrealsize=8
+#-Q- aix      w_w = $(F_P) -O3 -qsuffix=f=f90
+#-Q- aix      F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- aix      F_L = mpxlf90_r
+#-Q- aix      L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
+#-Q- aix      A_C = ar -rs -X64
+#-Q- aix      A_G = ar -x -X64
+#-Q- aix      C_C = cc -c
+#-Q- aix      C_O = -O
+#-Q- aix      C_L = cc
+#-Q- aix      #-
+#-Q- aix      NCDF_INC = /usr/local/pub/include
+#-Q- aix      NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- aix      #-
+#-Q- ax_mono  #- Global definitions for IBM AIX (monoprocessing)
+#-Q- ax_mono  M_K = gmake
+#-Q- ax_mono  P_C = /usr/ccs/lib/cpp
+#-Q- ax_mono  P_O = $(P_P)
+#-Q- ax_mono  F_C = xlf90_r -c
+#-Q- ax_mono  #-D- MD    F_D =
+#-Q- ax_mono  #-D- MN    F_D =
+#-Q- ax_mono  #-P- I4R4  F_P = -qrealsize=4
+#-Q- ax_mono  #-P- I4R8  F_P = -qrealsize=8
+#-Q- ax_mono  #-P- I8R8  F_P =
+#-Q- ax_mono  #-P- ??    F_P = -qrealsize=8
+#-Q- ax_mono  w_w = $(F_P) -O3 -qsuffix=f=f90
+#-Q- ax_mono  F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- ax_mono  F_L = xlf90_r
+#-Q- ax_mono  L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
+#-Q- ax_mono  A_C = ar -rs
+#-Q- ax_mono  A_G = ar -x
+#-Q- ax_mono  C_C = cc -c
+#-Q- ax_mono  C_O =
+#-Q- ax_mono  C_L = cc
+#-Q- ax_mono  #-
+#-Q- ax_mono  NCDF_INC = /usr/local/pub/include
+#-Q- ax_mono  NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- ax_mono  #-
+#-Q- cray     #- Global definitions for CRAY
+#-Q- cray     M_K = make
+#-Q- cray     P_C = cpp
+#-Q- cray     P_O = -P -C $(P_P)
+#-Q- cray     F_C = f90 -c
+#-Q- cray     #-D- MD    F_D =
+#-Q- cray     #-D- MN    F_D =
+#-Q- cray     #-P- I4R4  F_P =
+#-Q- cray     #-P- I4R8  F_P =
+#-Q- cray     #-P- I8R8  F_P =
+#-Q- cray     #-P- ??    F_P =
+#-Q- cray     F_O = $(F_D) $(F_P) -v -p $(MODEL_LIB)
+#-Q- cray     F_L = f90
+#-Q- cray     L_O =
+#-Q- cray     A_C = bld -r
+#-Q- cray     A_G = bld -x
+#-Q- cray     C_C = cc -c
+#-Q- cray     C_O = -Wall
+#-Q- cray     C_L = cc
+#-Q- cray     #-
+#-Q- cray     NCDF_INC = /usr/local/pub/include
+#-Q- cray     NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- cray     #-
+#-Q- Darwin   #- Global definitions for Mac OSX, g95
+#-Q- Darwin   M_K = make
+#-Q- Darwin   P_C = cpp
+#-Q- Darwin   P_O = -fpreprocessed -P -C -traditional $(P_P)
+#-Q- Darwin   F_C = /usr/local/bin/mpif90 -fno-second-underscore -c
+#-Q- Darwin   #-D- MD    F_D =
+#-Q- Darwin   #-D- MN    F_D =
+#-Q- Darwin   #-P- I4R4  F_P = -i4
+#-Q- Darwin   #-P- I4R8  F_P = -i4 -r8
+#-Q- Darwin   #-P- I8R8  F_P = -i8 -r8
+#-Q- Darwin   #-P- ??    F_P =
+#-Q- Darwin   F_O = -I$(MODDIR)
+#-Q- Darwin   F_L = f90
+#-Q- Darwin   L_O =
+#-Q- Darwin   A_C = ar -rs
+#-Q- Darwin   A_G = ar -x
+#-Q- Darwin   C_C = cc -c
+#-Q- Darwin   C_O =
+#-Q- Darwin   C_L = cc
+#-Q- Darwin   #-
+#-Q- Darwin   NCDF_INC = /usr/local/include
+#-Q- Darwin   NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- Darwin   #-
+#-Q- fjvpp    #- Global definitions for FUJITSU VPP
+#-Q- fjvpp    M_K = gmake
+#-Q- fjvpp    P_C = cpp
+#-Q- fjvpp    P_O = -P -C $(P_P)
+#-Q- fjvpp    F_C = frt -c
+#-Q- fjvpp    #-D- MD    F_D =
+#-Q- fjvpp    #-D- MN    F_D =
+#-Q- fjvpp    #-P- I4R4  F_P = -AD
+#-Q- fjvpp    #-P- I4R8  F_P = -Ad
+#-Q- fjvpp    #-P- I8R8  F_P = -Ad
+#-Q- fjvpp    #-P- ??    F_P = -Ad
+#-Q- fjvpp    w_w = -X9 -Oe -Sw $(F_D) $(F_P) -Am -M$(MODDIR)
+#-Q- fjvpp    F_O = $(w_w) -Of -Wv,-Of,-ilfunc,-preload
+#-Q- fjvpp    F_L = frt
+#-Q- fjvpp    L_O = -Wg,-c -Wl,-J,-t,-dy
+#-Q- fjvpp    A_C = ar -r
+#-Q- fjvpp    A_G = ar -x
+#-Q- fjvpp    C_C = cc -c
+#-Q- fjvpp    C_O =
+#-Q- fjvpp    C_L = cc
+#-Q- fjvpp    #-
+#-Q- fjvpp    NCDF_INC = /usr/local/include/netcdf
+#-Q- fjvpp    NCDF_LIB = /usr/local/lib/netcdf/libnetcdf.a
+#-Q- fjvpp    #-
+#-Q- g95      #- Global definitions for gnu g95 compiler
+#-Q- g95      M_K = gmake
+#-Q- g95      P_C = cpp
+#-Q- g95      P_O = -P -C -traditional $(P_P)
+#-Q- g95      F_C = g95 -c
+#-Q- g95      #-D- MD    F_D =
+#-Q- g95      #-D- MN    F_D =
+#-Q- g95      #-P- I4R4  F_P = -i4
+#-Q- g95      #-P- I4R8  F_P = -i4 -r8
+#-Q- g95      #-P- I8R8  F_P = -i8 -r8
+#-Q- g95      #-P- ??    F_P = -i4 -r8
+#-Q- g95      w_w = -O5 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
+#-Q- g95      F_O = $(w_w) -fmod=$(MODDIR) -fno-second-underscore
+#-Q- g95      F_L = g95
+#-Q- g95      L_O =
+#-Q- g95      A_C = ar -r
+#-Q- g95      A_G = ar -x
+#-Q- g95      C_C = cc -c
+#-Q- g95      C_O =
+#-Q- g95      C_L = cc
+#-Q- g95      #-
+#-Q- g95      NCDF_INC = /usr/local/include
+#-Q- g95      NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- g95      #-
+#-Q- eshpux     #- Global definitions for eshpux used as Earth Simulator front-end
+#-Q- eshpux     M_K = gmake
+#-Q- eshpux     P_C = escpp
+#-Q- eshpux     # FTRACE used for profiling
+#-Q- eshpux     FTRACE = -ftrace
+#-Q- eshpux     # FTRACE =
+#-Q- eshpux     P_O = -P -C $(P_P)
+#-Q- eshpux     F_C = esmpif90 -c
+#-Q- eshpux     #-D- MD    F_D =
+#-Q- eshpux     #-D- MN    F_D =
+#-Q- eshpux     #-P- I4R4  F_P = -dW
+#-Q- eshpux     #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- eshpux     #-P- I8R8  F_P = -ew
+#-Q- eshpux     #-P- ??    F_P = -dW -Wf\"-A idbl4\"
+#-Q- eshpux     F_O = $(F_D) $(F_P) $(FTRACE) -I $(MODDIR)
+#-Q- eshpux     F_L = esmpif90
+#-Q- eshpux     L_O = $(F_P) $(FTRACE)
+#-Q- eshpux     A_C = ar -rv
+#-Q- eshpux     A_G = ar -x
+#-Q- eshpux     A_X = esar -rv
+#-Q- eshpux     C_C = esmpicc -c
+#-Q- eshpux     C_O =
+#-Q- eshpux     C_L = esmpicc
+#-Q- eshpux     FC_C = cc -c
+#-Q- eshpux     FC_O =
+#-Q- eshpux     FC_L = cc
+#-Q- eshpux     #-
+#-Q- eshpux     NETCDFROOT = /S/home010/c0010/ES
+#-Q- eshpux     NCDF_INC = $(NETCDFROOT)/include
+#-Q- eshpux     NCDF_LIB = -L$(NETCDFROOT)/lib -lnetcdf
+#-Q- eshpux     #-
+#-Q- linux    #- Global definitions for LINUX
+#-Q- linux    M_K = make
+#-Q- linux    P_C = /lib/cpp
+#-Q- linux    P_O = -P -C -traditional $(P_P)
+#-Q- linux    F_C = pgf90 -c
+#-Q- linux    #-D- MD    F_D =
+#-Q- linux    #-D- MN    F_D =
+#-Q- linux    #-P- I4R4  F_P = -i4
+#-Q- linux    #-P- I4R8  F_P = -i4 -r8
+#-Q- linux    #-P- I8R8  F_P = -i8 -r8
+#-Q- linux    #-P- ??    F_P = -i4 -r4
+#-Q- linux    F_O = $(F_D) $(F_P) -Mfree -module $(MODDIR)
+#-Q- linux    F_L = pgf90
+#-Q- linux    L_O = -Wl,-Bstatic -Mbounds
+#-Q- linux    A_C = ar -r
+#-Q- linux    A_G = ar -x
+#-Q- linux    C_C = gcc -c
+#-Q- linux    C_O = -Wall
+#-Q- linux    C_L = gcc
+#-Q- linux    #-
+#-Q- linux    NCDF_INC = /distrib/local/netcdf/pgf/include/
+#-Q- linux    NCDF_LIB = -L/distrib/local/netcdf/pgf/lib/ -lnetcdf
+#-Q- linux    #-
+#-Q- lxiv7    #- Global definitions for Linux Compiler Intel V7
+#-Q- lxiv7    M_K = gmake
+#-Q- lxiv7    P_C = cpp
+#-Q- lxiv7    P_O = -P -C $(P_P)
+#-Q- lxiv7    F_C = ifc -c
+#-Q- lxiv7    #-D- MD    F_D = -g
+#-Q- lxiv7    #-D- MN    F_D =
+#-Q- lxiv7    #-P- I4R4  F_P = -i4
+#-Q- lxiv7    #-P- I4R8  F_P = -i4 -r8
+#-Q- lxiv7    #-P- I8R8  F_P = -i8 -r8
+#-Q- lxiv7    #-P- ??    F_P =
+#-Q- lxiv7    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- lxiv7    F_L = ifc
+#-Q- lxiv7    L_O = -Vaxlib
+#-Q- lxiv7    A_C = ar -r
+#-Q- lxiv7    A_G = ar -x
+#-Q- lxiv7    C_C = cc -c
+#-Q- lxiv7    C_O =
+#-Q- lxiv7    C_L = cc
+#-Q- lxiv7    #-
+#-Q- lxiv7    NCDF_INC = /usr/local/include
+#-Q- lxiv7    NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- lxiv7    #-
+#-Q- lxiv8    #- Global definitions for Linux Compiler Intel v8
+#-Q- lxiv8    M_K = gmake
+#-Q- lxiv8    P_C = cpp
+#-Q- lxiv8    P_O = -P -C $(P_P)
+#-Q- lxiv8    F_C = ifort -c -cpp
+#-Q- lxiv8    #-D- MD    F_D = -g
+#-Q- lxiv8    #-D- MN    F_D =
+#-Q- lxiv8    #-P- I4R4  F_P = -i4
+#-Q- lxiv8    #-P- I4R8  F_P = -i4 -r8
+#-Q- lxiv8    #-P- I8R8  F_P = -i8 -r8
+#-Q- lxiv8    #-P- ??    F_P =
+#-Q- lxiv8    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- lxiv8    F_L = ifort
+#-Q- lxiv8    L_O = -Vaxlib
+#-Q- lxiv8    A_C = ar -r
+#-Q- lxiv8    A_G = ar -x
+#-Q- lxiv8    C_C = cc -c
+#-Q- lxiv8    C_O =
+#-Q- lxiv8    C_L = cc
+#-Q- lxiv8    #-
+#-Q- lxiv8    NCDF_INC = /usr/local/include
+#-Q- lxiv8    NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- lxiv8    #-
+#-Q- newsys   #- Global definitions for System Test
+#-Q- newsys   M_K = make
+#-Q- newsys   P_C = cpp
+#-Q- newsys   P_O = -P -C $(P_P)
+#-Q- newsys   F_C = f90 -c
+#-Q- newsys   #-D- MD    F_D =
+#-Q- newsys   #-D- MN    F_D =
+#-Q- newsys   #-P- I4R4  F_P =
+#-Q- newsys   #-P- I4R8  F_P =
+#-Q- newsys   #-P- I8R8  F_P =
+#-Q- newsys   #-P- ??    F_P =
+#-Q- newsys   F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
+#-Q- newsys   F_L = f90
+#-Q- newsys   L_O =
+#-Q- newsys   A_C = ar -r
+#-Q- newsys   A_G = ar -x
+#-Q- newsys   C_C = cc -c
+#-Q- newsys   C_O =
+#-Q- newsys   C_L = cc
+#-Q- newsys   #-
+#-Q- newsys   NCDF_INC = /distrib/local/include
+#-Q- newsys   NCDF_LIB = -L/distrib/local/lib -lnetcdf
+#-Q- newsys   #-
+#-Q- osf1     #- Global definitions for DEC OSF1
+#-Q- osf1     M_K = gmake
+#-Q- osf1     P_C = cpp
+#-Q- osf1     P_O = -P -C $(P_P)
+#-Q- osf1     F_C = f90 -c
+#-Q- osf1     #-D- MD    F_D = -g
+#-Q- osf1     #-D- MN    F_D =
+#-Q- osf1     #-P- I4R4  F_P =
+#-Q- osf1     #-P- I4R8  F_P = -r8
+#-Q- osf1     #-P- I8R8  F_P = -i8 -r8
+#-Q- osf1     #-P- ??    F_P =
+#-Q- osf1     F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- osf1     F_L = f90
+#-Q- osf1     L_O =
+#-Q- osf1     A_C = ar -r
+#-Q- osf1     A_G = ar -x
+#-Q- osf1     C_C = cc -c
+#-Q- osf1     C_O =
+#-Q- osf1     C_L = cc
+#-Q- osf1     #-
+#-Q- osf1     NCDF_INC = /usr/local/include
+#-Q- osf1     NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- osf1     #-
+#-Q- osxxlf   #- Global definitions for Mac OS X and IBM xlf compiler
+#-Q- osxxlf   M_K = make
+#-Q- osxxlf   P_C = /usr/bin/cpp
+#-Q- osxxlf   P_O = -P -C $(P_P:-WF,-D%=-D%)
+#-Q- osxxlf   F_C = xlf90 -c
+#-Q- osxxlf   #-D- MD    F_D = -g -C
+#-Q- osxxlf   #-D- MN    F_D =
+#-Q- osxxlf   #-P- I4R4  F_P = -qintsize=4 -qrealsize=4
+#-Q- osxxlf   #-P- I4R8  F_P = -qintsize=4 -qrealsize=8
+#-Q- osxxlf   #-P- I8R8  F_P = -qintsize=8 -qrealsize=8
+#-Q- osxxlf   #-P- ??    F_P =
+#-Q- osxxlf   w_w = $(F_P) -O2 $(F_D) -qsuffix=f=f90
+#-Q- osxxlf   F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- osxxlf   F_L = xlf90
+#-Q- osxxlf   L_O = $(F_P) -O2
+#-Q- osxxlf   A_C = ar -rs
+#-Q- osxxlf   A_G = ar -x
+#-Q- osxxlf   C_C = cc -c
+#-Q- osxxlf   C_O =
+#-Q- osxxlf   C_L = cc
+#-Q- osxxlf   #-
+#-Q- osxxlf   NCDF_INC = /usr/local/install/netcdf-3.6.0-p1/include
+#-Q- osxxlf   NCDF_LIB = -L/usr/local/install/netcdf-3.6.0-p1/lib -lnetcdf
+#-Q- osxxlf   #-
+#-Q- sgi6     #- Global definitions for IRIX64 (sgi6)
+#-Q- sgi6     M_K = gmake
+#-Q- sgi6     P_C = cpp
+#-Q- sgi6     P_O = -P -C $(P_P)
+#-Q- sgi6     F_C = f90 -c
+#-Q- sgi6     #-D- MD    F_D =
+#-Q- sgi6     #-D- MN    F_D =
+#-Q- sgi6     #-P- I4R4  F_P = -i4 -r4
+#-Q- sgi6     #-P- I4R8  F_P = -i4 -r8
+#-Q- sgi6     #-P- I8R8  F_P = -i8 -r8
+#-Q- sgi6     #-P- ??    F_P = -i4 -r8
+#-Q- sgi6     F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sgi6     F_L = f90
+#-Q- sgi6     L_O =
+#-Q- sgi6     A_C = ar -r
+#-Q- sgi6     A_G = ar -x
+#-Q- sgi6     C_C = cc -c
+#-Q- sgi6     C_O =
+#-Q- sgi6     C_L = cc
+#-Q- sgi6     #-
+#-Q- sgi6     NCDF_INC = /usr/local/pub/include
+#-Q- sgi6     NCDF_LIB = -L/usr/local/pub/lib64 -lnetcdf
+#-Q- sgi6     #-
+#-Q- solaris  #- Global definitions for SOLARIS
+#-Q- solaris  M_K = make
+#-Q- solaris  P_C = cpp
+#-Q- solaris  P_O = -P -C $(P_P)
+#-Q- solaris  F_C = f90 -c
+#-Q- solaris  #-D- MD    F_D =
+#-Q- solaris  #-D- MN    F_D =
+#-Q- solaris  #-P- I4R4  F_P =
+#-Q- solaris  #-P- I4R8  F_P = -r8const
+#-Q- solaris  #-P- I8R8  F_P = -i8const -r8const
+#-Q- solaris  #-P- ??    F_P =
+#-Q- solaris  F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
+#-Q- solaris  F_L = f90
+#-Q- solaris  L_O =
+#-Q- solaris  A_C = ar -r
+#-Q- solaris  A_G = ar -x
+#-Q- solaris  C_C = cc -c
+#-Q- solaris  C_O =
+#-Q- solaris  C_L = cc
+#-Q- solaris  #-
+#-Q- solaris  NCDF_INC = /distrib/local/include
+#-Q- solaris  NCDF_LIB = -L/distrib/local/lib -lnetcdf
+#-Q- solaris  #-
+#-Q- sxdkrz   #- Global definitions for sx6nec (DKRZ)
+#-Q- sxdkrz   LIB_MPI = MPI2
+#-Q- sxdkrz   LIB_MPI_BIS =
+#-Q- sxdkrz   PRISM_ARCH = SX
+#-Q- sxdkrz   PRISM_NAME = ds
+#-Q- sxdkrz   M_K = gmake
+#-Q- sxdkrz   P_C = cpp
+#-Q- sxdkrz   P_O = -P -C $(P_P)
+#-Q- sxdkrz   F_C = sxmpif90 -c
+#-Q- sxdkrz   #-D- MD    F_D =
+#-Q- sxdkrz   #-D- MN    F_D =
+#-Q- sxdkrz   #-P- I4R4  F_P = -dw
+#-Q- sxdkrz   #-P- I4R8  F_P = -dw -Wf\"-A idbl4\"
+#-Q- sxdkrz   #-P- I8R8  F_P = -ew
+#-Q- sxdkrz   #-P- ??    F_P = -dw -Wf\"-A idbl4\"
+#-Q- sxdkrz   F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sxdkrz   F_L = sxmpif90
+#-Q- sxdkrz   L_O = $(F_P)
+#-Q- sxdkrz   A_C = ar -rv
+#-Q- sxdkrz   A_G = ar -x
+#-Q- sxdkrz   A_X = sxar -rv
+#-Q- sxdkrz   C_C = sxcc -c
+#-Q- sxdkrz   C_O =
+#-Q- sxdkrz   C_L = sxcc
+#-Q- sxdkrz   FC_C = cc -c
+#-Q- sxdkrz   FC_O =
+#-Q- sxdkrz   FC_L = cc
+#-Q- sxdkrz   #-
+#-Q- sxdkrz   NCDF_INC = /pool/SX-6/netcdf/netcdf-3.5.0/include
+#-Q- sxdkrz   NCDF_LIB = -L/pool/SX-6/netcdf/netcdf-3.5.0/lib -lnetcdf_A_idbl4
+#-Q- sxdkrz   #-
+#-Q- sxnec    #- Global definitions for SXNEC :
+#-Q- sxnec    #- compilation on rhodes for NEC SX-5
+#-Q- sxnec    LIB_MPI = MPI2
+#-Q- sxnec    LIB_MPI_BIS =
+#-Q- sxnec    PRISM_ARCH = SX
+#-Q- sxnec    PRISM_NAME = rhodes
+#-Q- sxnec    M_K = gmake
+#-Q- sxnec    P_C = sxcpp
+#-Q- sxnec    P_O = -P -C $(P_P)
+#-Q- sxnec    F_C = sxmpif90 -c
+#-Q- sxnec    #-D- MD    F_D =
+#-Q- sxnec    #-D- MN    F_D =
+#-Q- sxnec    #-P- I4R4  F_P = -dW
+#-Q- sxnec    #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sxnec    #-P- I8R8  F_P = -ew
+#-Q- sxnec    #-P- ??    F_P = -dW -Wf\"-A idbl4\"
+#-Q- sxnec    F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sxnec    F_L = sxmpif90
+#-Q- sxnec    L_O = $(F_P)
+#-Q- sxnec    A_C = ar -rv
+#-Q- sxnec    A_G = ar -x
+#-Q- sxnec    A_X = sxar -rv
+#-Q- sxnec    C_C = sxcc -c
+#-Q- sxnec    C_O =
+#-Q- sxnec    C_L = sxcc
+#-Q- sxnec    FC_C = cc -c
+#-Q- sxnec    FC_O =
+#-Q- sxnec    FC_L = cc
+#-Q- sxnec    #-
+#-Q- sxnec    NCDF_INC = /SX/usr/local/pub/netcdf-3.5.0_opt/include
+#-Q- sxnec    NCDF_LIB = -L/SX/usr/local/pub/netcdf-3.5.0_opt/lib -lnetcdf
+#-Q- sxnec    #-
+#-Q- sx6nec   #- Global definitions for SX6NEC :
+#-Q- sx6nec   #- compilation on mercure for NEC SX-6
+#-Q- sx6nec   LIB_MPI = MPI2
+#-Q- sx6nec   LIB_MPI_BIS =
+#-Q- sx6nec   PRISM_ARCH = SX
+#-Q- sx6nec   PRISM_NAME = mercure
+#-Q- sx6nec   M_K = gmake
+#-Q- sx6nec   P_C = cpp
+#-Q- sx6nec   P_O = -P -C $(P_P)
+#-Q- sx6nec   F_C = sxmpif90 -c
+#-Q- sx6nec   #-D- MD    F_D =
+#-Q- sx6nec   #-D- MN    F_D =
+#-Q- sx6nec   #-P- I4R4  F_P = -dW
+#-Q- sx6nec   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx6nec   #-P- I8R8  F_P = -ew
+#-Q- sx6nec   #-P- ??    F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx6nec   F_O = $(F_D) $(F_P) -size_t64 -I $(MODDIR)
+#-Q- sx6nec   F_L = sxmpif90
+#-Q- sx6nec   L_O = -size_t64 $(F_P)
+#-Q- sx6nec   A_C = ar -rv
+#-Q- sx6nec   A_G = ar -x
+#-Q- sx6nec   A_X = sxar -rv
+#-Q- sx6nec   C_C = sxcc -size_t64 -c
+#-Q- sx6nec   C_O =
+#-Q- sx6nec   C_L = sxcc -size_t64
+#-Q- sx6nec   FC_C = gcc -c
+#-Q- sx6nec   FC_O =
+#-Q- sx6nec   FC_L = gcc
+#-Q- sx6nec   #-
+#-Q- sx6nec   NCDF_INC = /usr/local/SX6/soft/netcdf/include
+#-Q- sx6nec   NCDF_LIB = -L/usr/local/SX6/soft/netcdf/lib -lnetcdf
+#-Q- sx6nec   #-
+#-Q- t3e      #- Global definitions for T3E
+#-Q- t3e      M_K = gmake
+#-Q- t3e      P_C = cpp
+#-Q- t3e      P_O = -P -C $(P_P)
+#-Q- t3e      F_C = f90 -c
+#-Q- t3e      #-D- MD    F_D =
+#-Q- t3e      #-D- MN    F_D =
+#-Q- t3e      #-P- I4R4  F_P =
+#-Q- t3e      #-P- I4R8  F_P =
+#-Q- t3e      #-P- I8R8  F_P =
+#-Q- t3e      #-P- ??    F_P =
+#-Q- t3e      w_w = $(F_D) $(F_P) -rm -O2 -Ounroll2 -Osplit2 -dp
+#-Q- t3e      F_O = $(w_w) -p $(MODEL_LIB)
+#-Q- t3e      F_L = f90
+#-Q- t3e      L_O = -X 4
+#-Q- t3e      A_C = ar -r
+#-Q- t3e      A_G = ar -x
+#-Q- t3e      C_C = cc -c
+#-Q- t3e      C_O = -Wall
+#-Q- t3e      C_L = cc
+#-Q- t3e      #-
+#-Q- t3e      NCDF_INC = /usr/local/pub/include
+#-Q- t3e      NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- t3e      #-
+#-Q- tx7      #- Global definitions for Linux Compiler Intel efc
+#-Q- tx7      M_K = gmake
+#-Q- tx7      P_C = cpp
+#-Q- tx7      P_O = -P -C $(P_P)
+#-Q- tx7      F_C = efc -c
+#-Q- tx7      #-D- MD    F_D = -g
+#-Q- tx7      #-D- MN    F_D =
+#-Q- tx7      #-P- I4R4  F_P = -i4
+#-Q- tx7      #-P- I4R8  F_P = -i4 -r8
+#-Q- tx7      #-P- I8R8  F_P = -i8 -r8
+#-Q- tx7      #-P- ??    F_P = -i4 -r8
+#-Q- tx7      F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- tx7      F_L = efc
+#-Q- tx7      L_O = -Vaxlib
+#-Q- tx7      A_C = ar -r
+#-Q- tx7      A_G = ar -x
+#-Q- tx7      C_C = cc -c
+#-Q- tx7      C_O =
+#-Q- tx7      C_L = cc
+#-Q- tx7      #-
+#-Q- tx7      NCDF_INC = /usr/local/TX7/soft/netcdf/include
+#-Q- tx7      NCDF_LIB = -L/usr/local/TX7/soft/netcdf/lib -lnetcdf
+#-Q- tx7      #-
+#-Q- unix     #- Global definitions for UNIX
+#-Q- unix     M_K = make
+#-Q- unix     P_C = cpp
+#-Q- unix     P_O = -P -C $(P_P)
+#-Q- unix     F_C = f90 -c
+#-Q- unix     #-D- MD    F_D =
+#-Q- unix     #-D- MN    F_D =
+#-Q- unix     #-P- I4R4  F_P =
+#-Q- unix     #-P- I4R8  F_P =
+#-Q- unix     #-P- I8R8  F_P =
+#-Q- unix     #-P- ??    F_P =
+#-Q- unix     F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
+#-Q- unix     F_L = f90
+#-Q- unix     L_O =
+#-Q- unix     A_C = ar -r
+#-Q- unix     A_G = ar -x
+#-Q- unix     C_C = cc -c
+#-Q- unix     C_O =
+#-Q- unix     C_L = cc
+#-Q- unix     #-
+#-Q- unix     NCDF_INC = /distrib/local/include
+#-Q- unix     NCDF_LIB = -L/distrib/local/lib -lnetcdf
+#-Q- unix     #-
+RM      = rm -f
+STRIP   = strip
+SIZE    = size
Index: modipsl/trunk/util/clr_make
===================================================================
--- modipsl/trunk/util/clr_make	(revision 2)
+++ modipsl/trunk/util/clr_make	(revision 2)
@@ -0,0 +1,24 @@
+#!/bin/ksh
+# $Id: clr_make,v 2.3 2005/04/05 14:35:47 adm Exp $
+#---------------------------------------------------------------------
+#- Suppression des Makefile propres a un environnement
+#---------------------------------------------------------------------
+d_n=$(dirname $0)
+#-
+l_rep=$(find ${d_n}/.. -name AA_make -print)
+#-
+echo "Suppression des Makefile";
+for i in $l_rep
+do
+  j=${i%/AA_make}
+  echo "Suppression dans $j ...";
+  rm -f $j/Makefile
+done
+l_prism=${d_n}'/../prism' 
+if [ -d ${l_prism} ]; then
+  rm -f ${d_n}/../prism/src/mod/oasis3/COMP_oasis3*
+  rm -f ${d_n}/../prism/util/COMP_libs*
+  echo "Suppression de COMP_oasis3 et COMP_libs" 
+fi
+#-
+exit 0;
Index: modipsl/trunk/util/ins_make
===================================================================
--- modipsl/trunk/util/ins_make	(revision 2)
+++ modipsl/trunk/util/ins_make	(revision 2)
@@ -0,0 +1,201 @@
+#!/bin/ksh
+# $Id: ins_make,v 2.19 2006/01/18 05:59:17 adm Exp $
+#---------------------------------------------------------------------
+#- Installation of Makefiles according to an environment
+#---------------------------------------------------------------------
+b_n=$(basename $0)
+d_n=$(dirname $0)
+#- Retrieving and validation of the options
+x_v='silencious';
+x_d='normal';
+x_p="";
+x_t="";
+x_m='??';
+while getopts :hvdp:m:t: V
+  do
+    case $V in
+      (h)  echo "Usage    : "${b_n} \
+                " [-h] [-v] [-d] [-p r] [-t h] ";
+           echo " -h      : help";
+           echo " -v      : verbose mode";
+           echo " -t h    : target host_name";
+           echo " -d      : debug mode";
+           echo " -p p    : int and real precision I4R4/I4R8/I8R8/4/8";
+           echo " -m m    : mpi context choosen for the coupling MPI1/MPI2";
+           echo "";
+           echo "Example for remote host compilation ";
+           echo "ins_make -t sxnec";
+           echo "";
+           echo "Defaults : -t local_host";
+           echo "";
+           exit 0;;
+      (v)  x_v='verbose';;
+      (d)  x_d='debug';;
+      (p)  x_p=${OPTARG};;
+      (t)  x_t=${OPTARG};;
+      (m)  x_m=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#-
+# Treatment of the options
+#-
+# Default INTEGER and REAL precision
+case ${x_p} in
+  ( I4R4 | I4R8 | I8R8 ) ;;
+  ( 4 ) x_p='I4R4';;
+  ( 8 ) x_p='I8R8';;
+  ("")  x_p='??';;
+  (*)
+    echo 'Invalid precision ' 1>&2;
+    echo ${x_p}' (must be I4R4, I4R8, I8R8, 4 or 8)' 1>&2;
+    exit 1;;
+esac
+#-
+# Target_Host Name
+if [ '\?'${x_t} = '\?' ]; then
+  x_t=`${d_n}/w_i_h`;
+  if [ $? -ne 0 ]; then
+    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+    exit 1;
+  elif [ "$x_t" = "Unknown" ]; then
+    echo "Local_Host not supported" 1>&2;
+    exit 1;
+  fi;
+fi;
+case ${x_t} in
+ (aix | ax_mono | cray | Darwin | fjvpp | g95 | eshpux |  \
+  linux | lxiv7 | lxiv8 | osf1 | osxxlf | sgi6 | \
+  solaris | sxdkrz | sxnec | sx6nec | t3e | tx7 | unix) ;;
+ (*)
+   echo "Target_Host "${x_t}" not supported" 1>&2;
+   exit 1;;
+esac
+#-
+case ${x_m} in
+ ( mpi1 | mpi2 | MPI1 | MPI2 | ??) ;;
+ (*)
+   echo "MPI context  "${x_m}" not supported" 1>&2;
+   exit 1;;
+esac
+#-
+if [ ${x_v} = 'verbose' ]; then
+  echo '--- Mode         : '${x_v};
+  echo '--- Compilation  : '${x_d};
+  echo '--- Precision    : '${x_p};
+  echo '--- Target       : '${x_t};
+  echo '--- MPI context  : '${x_m};
+fi;
+#-
+l_rep=$(find ${d_n}/.. -name AA_make -print)
+#-
+W_OS=${x_t};
+echo " ";
+echo "Installation of makefiles for $W_OS";
+echo " ";
+#-
+MKTG=${d_n}'/AA_make.gdef'
+if [ ! -f "$MKTG" ]; then
+  echo "$MKTG unreachable ..."
+  exit 3;
+fi;
+#-
+for i in $l_rep
+do
+  j=${i%/AA_make}
+  echo "Installation in ${j} ...";
+  MKTL="${j}"'/AA_make.ldef'
+  if [ ! -f "$MKTL" ]; then
+    echo "$MKTL unreachable ..."
+    exit 3;
+  fi;
+  MKTR="${j}"'/AA_make'
+  cat ${MKTL} ${MKTG} ${MKTR} > mk1.$$
+  W_XX='#-Q- '$W_OS
+  sed -e "s/^$W_XX *//" mk1.$$ | grep -v '^#-Q- ' > mk2.$$
+#-
+# Default INTEGER and REAL precision
+  if   [ ${x_p} = 'I4R4' ]; then
+    W_XX='#-P- I4R4'
+  elif [ ${x_p} = 'I4R8' ]; then
+    W_XX='#-P- I4R8'
+  elif [ ${x_p} = 'I8R8' ]; then
+    W_XX='#-P- I8R8'
+  else
+    W_XX='#-P- ??'
+  fi
+  sed -e "s/^$W_XX *//" mk2.$$ | grep -v '^#-P- ' > mk1.$$
+#-
+# Remove the module "defprec.f90"
+# if the default precision has (eventually) been modified
+  if [ '!!'${j##*/modeles} = '!!/IOIPSL/src' ]; then
+    dp_n=${d_n}'/../modeles/IOIPSL/src/defprec.f90';
+    if [ -f ${dp_n} ]; then
+      W_NEW=$(grep 'D_P =' mk1.$$ | tail -1 | sed "s/D_P = //")
+      if [ -f ${j}/Makefile ]; then
+        W_OLD=$(grep 'D_P =' ${j}/Makefile | tail -1 | sed "s/D_P = //")
+      else
+        W_OLD='!??!'
+      fi
+      if [ ${W_OLD} != ${W_NEW} ]; then
+        echo 'Remove '${dp_n};
+        rm -f ${dp_n};
+      fi
+      unset W_NEW W_OLD;
+    fi
+    unset dp_n;
+  fi
+#-
+# Debug
+  if   [ ${x_d} = 'debug' ]; then
+    W_XX='#-D- MD'
+  else
+    W_XX='#-D- MN'
+  fi
+  sed -e "s/^$W_XX *//" mk1.$$ | grep -v '^#-D- ' > mk2.$$
+#-
+# Retrieve the path of the directory
+  cd ${j} > /dev/null; mk_dir=$(pwd); cd - > /dev/null;
+  W_XX='MAKE_DIR ='
+# Update the value
+  sed -e "s!^${W_XX}.*!${W_XX} ${mk_dir}!" mk2.$$ > mk1.$$
+  unset mk_dir;
+#-
+# Choice of mpi library for the coupling
+  W_XX='LIB_MPI ='
+  W_XX_BIS='LIB_MPI_BIS ='
+#-
+case ${x_m} in
+ ( mpi1 | MPI1 )
+    lib_mpi='MPI1'
+    lib_mpi_bis='MPI1'
+    sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
+      -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" mk1.$$ > ${j}/Makefile ;;
+ ( mpi2 | MPI2 )
+    lib_mpi='MPI2'
+    lib_mpi_bis=''
+    sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
+      -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" mk1.$$ > ${j}/Makefile ;;
+ (??) 
+    cp mk1.$$ ${j}/Makefile ;;
+ (*) ;;
+esac
+  unset lib_mpi;
+  unset lib_mpi_bis;
+#-
+done
+#-
+rm -f mk1.$$ mk2.$$
+#-
+exit 0;
+
+
+
+
+
+
+
Index: modipsl/trunk/util/ins_post
===================================================================
--- modipsl/trunk/util/ins_post	(revision 2)
+++ modipsl/trunk/util/ins_post	(revision 2)
@@ -0,0 +1,279 @@
+#!/bin/ksh
+# $Id: ins_post,v 2.3 2004/12/22 16:04:12 adm Exp $
+#-----------------------------------------------
+#- Installation de scripts de post_traitement
+#-----------------------------------------------
+b_n=$(basename $0)
+d_n=$(dirname $0)
+
+#- Saisie et validation des options
+x_v='silencious';
+x_d='normal';
+x_t="";
+x_n="";
+
+while getopts :hvd:t: ops
+  do
+    case $ops in
+      (h)  echo "Usage    : "${b_n} \
+                " [-h] [-v] [-d] [-t h]  [-n f]";
+           echo " -h       : help";
+           echo " -v       : verbose mode";
+           echo " -d       : debug mode";
+           echo " -t h     : target host_name";
+           echo "Defaults  : -t local_host";
+           exit 0;;
+      (v)  x_v='verbose';;
+      (d)  x_d='debug';;
+      (t)  x_t=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+
+if [ "$x_t" = "sxnec" ]; then
+   b_n_post=$(basename $HOMEGAYA)
+   d_n_post=$(dirname $HOMEGAYA)
+elif [ "$x_t" = "fjvpp" ]; then
+   b_n_post=$(basename $DMFDIR)
+   d_n_post=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
+elif [ "$x_t" = "sx6nec" ]; then
+   b_n_post=$(basename $DMFDIR)
+   d_n_post=$(dirname $DMFDIR)
+else
+echo "        !!! WARNING !!!"
+echo " The path for the output files on the storage server,"
+echo " needed for post-traitement files, is not automaticaly set."
+echo " Please specify manually this path by replacing the AAAAAAA"
+echo " string in the Output Job with the desired path."
+echo "        !!! WARNING !!!"
+fi
+#- Traitement des options
+#- REAL precision
+# Target_Host Name
+if [ '\?'${x_t} = '\?' ]; then
+  x_t=`${d_n}/w_i_h`;
+  if [ $? -ne 0 ]; then
+    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+    exit 1;
+  elif [ "$x_t" = "Unknown" ]; then
+    echo "Local_Host not supported" 1>&2;
+    exit 1;
+  fi;
+fi;
+
+case ${x_t} in
+  ( aix | cray | fjvpp | linux | osf1 | solaris | t3e | sxnec | sx6nec | unix ) ;;
+  (*)
+    echo "Target_Host "${x_t}" not supported" 1>&2;
+    exit 1;;
+esac
+#-
+x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
+
+if [ ${x_v} = 'verbose' ]; then
+  echo '--- Mode              : '${x_v};
+  echo '--- Compilation       : '${x_d};
+  echo '--- Target            : '${x_t};
+  echo '--- Name              : '${x_n};
+  echo '--- MODIPSL directory : '${x_m};
+fi;
+#-
+#-
+l_rep1=`find ${d_n}/.. -name mo2st -print`
+l_rep2=`find ${d_n}/.. -name da2st -print`
+l_rep3=`find ${d_n}/.. -name mo2se -print`
+l_rep4=`find ${d_n}/.. -name da2mo -print`
+l_rep5=`find ${d_n}/.. -name da4mo -print`
+l_rep6=`find ${d_n}/.. -name da2ye -print`
+l_rep7=`find ${d_n}/.. -name da4ye -print`
+l_rep8=`find ${d_n}/.. -name mo2ye -print`
+l_rep9=`find ${d_n}/.. -name mo4ye -print`
+l_rep10=`find ${d_n}/.. -name mo2sn -print`
+l_rep11=`find ${d_n}/.. -name da2sn -print`
+l_rep12=`find ${d_n}/.. -name txt2tar -print`
+l_rep13=`find ${d_n}/.. -name monitoring_script -print`
+l_rep14=`find ${d_n}/.. -name monitoring_loop_script -print`
+l_rep15=`find ${d_n}/.. -name monitoring_loop2_script -print`
+l_rep16=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM -print`
+l_rep17=`find ${d_n}/.. -name atlas_cpl_se -print`
+l_rep18=`find ${d_n}/.. -name atlas_cpl_se_LMDZOR -print`
+l_rep19=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM2 -print`
+l_rep20=`find ${d_n}/.. -name create_ts -print`
+#-
+#-
+
+
+W_OS=${x_t};
+
+if [ ${W_OS}  = "sxnec" ]; then
+   format='\s'
+elif [ ${W_OS}  = "fjvpp" ]; then
+   format='\d'
+elif [ ${W_OS}  = "sx6nec" ]; then
+   format='\g'
+else
+echo "        !!! WARNING !!!"
+echo " The display format of numbers,"
+echo " needed for the dates, is not automaticaly set."
+echo " Please specify manually this format by replacing the PPPPPPP"
+echo " string in the Output Job with the desired format."
+echo "        !!! WARNING !!!"
+fi
+
+echo " ";
+echo "Installation of simple execution jobs for $W_OS";
+echo " ";
+#-
+
+for i in $l_rep1 $l_rep2 $l_rep3 $l_rep4 $l_rep5 $l_rep6 $l_rep7 $l_rep8 $l_rep9 $l_rep10 $l_rep11 $l_rep12 $l_rep13 $l_rep14 $l_rep15 $l_rep16 $l_rep17 $l_rep18 $l_rep19 $l_rep20
+do
+  echo " "
+  case $i in
+  "$l_rep1") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2st.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2st | grep -v '^#-Q- ' $1 > ${r}/mo2st.job ;;
+ "$l_rep2") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2st.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2st | grep -v '^#-Q- ' $1 > ${r}/da2st.job ;;
+  "$l_rep3") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2se.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2se | grep -v '^#-Q- ' $1 > ${r}/mo2se.job ;;
+  "$l_rep4") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2mo.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2mo | grep -v '^#-Q- ' $1 > ${r}/da2mo.job ;;
+  "$l_rep5") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da4mo.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4mo | grep -v '^#-Q- ' $1 > ${r}/da4mo.job ;;
+  "$l_rep6") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2ye | grep -v '^#-Q- ' $1 > ${r}/da2ye.job ;;
+  "$l_rep7") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da4ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4ye | grep -v '^#-Q- ' $1 > ${r}/da4ye.job ;;
+  "$l_rep8") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2ye | grep -v '^#-Q- ' $1 > ${r}/mo2ye.job ;;
+  "$l_rep9") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo4ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo4ye | grep -v '^#-Q- ' $1 > ${r}/mo4ye.job ;;
+  "$l_rep10") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2sn.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2sn | grep -v '^#-Q- ' $1 > ${r}/mo2sn.job ;;
+  "$l_rep11") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2sn.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2sn | grep -v '^#-Q- ' $1 > ${r}/da2sn.job ;;
+  "$l_rep12") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of txt2tar.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/txt2tar | grep -v '^#-Q- ' $1 > ${r}/txt2tar.job ;;
+  "$l_rep13") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_script.job ;;
+  "$l_rep14") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_loop_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop_script.job ;;
+  "$l_rep15") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_loop2_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS ;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop2_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop2_script.job ;;
+  "$l_rep16") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_ORCA_LIM.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM.job ;;
+  "$l_rep17") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se.job ;;
+  "$l_rep18") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_LMDZOR.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_LMDZOR | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_LMDZOR.job ;;
+  "$l_rep19") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_ORCA_LIM2.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+          set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM2 | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM2.job ;;
+  "$l_rep20") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of create_ts.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/create_ts | grep -v '^#-Q- ' $1 > ${r}/create_ts.job ;;
+ esac
+done
+echo " ";
+exit 0;
Index: modipsl/trunk/util/ins_script
===================================================================
--- modipsl/trunk/util/ins_script	(revision 2)
+++ modipsl/trunk/util/ins_script	(revision 2)
@@ -0,0 +1,174 @@
+#!/bin/ksh
+# $Id: ins_script,v 2.3 2005/01/31 16:40:29 adm Exp $
+#---------------------------------------------------------------------
+#- Installation de scripts de lancement d experiences propres a un environnement
+#---------------------------------------------------------------------
+b_n=$(basename $0)
+d_n=$(dirname $0)
+
+#- Saisie et validation des options
+x_v='silencious';
+x_d='normal';
+x_t="";
+x_n="";
+
+while getopts :hvd:t:n: V
+  do
+    case $V in
+      (h)  echo "Usage    : "${b_n} \
+                " [-h] [-v] [-d] [-t h]  [-n f]";
+           echo " -h       : help";
+           echo " -v       : verbose mode";
+           echo " -d       : debug mode";
+           echo " -t h     : target host_name";
+           echo " -n f     : Name";
+           echo "Defaults  : -t local_host";
+           exit 0;;
+      (v)  x_v='verbose';;
+      (d)  x_d='debug';;
+      (t)  x_t=${OPTARG};;
+      (n)  x_n=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#- Traitement des options
+#- REAL precision
+#- Target_Host Name
+if [ '\?'${x_t} = '\?' ]; then
+  x_t=`${d_n}/w_i_h`;
+  if [ $? -ne 0 ]; then
+    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+    exit 1;
+  elif [ "$x_t" = "Unknown" ]; then
+    echo "Local_Host not supported" 1>&2;
+    exit 1;
+  fi;
+fi;
+
+if [ "$x_t" = "sxnec" ]; then
+   b_n_atlas=$(basename $HOMEGAYA)
+   d_n_atlas=$(dirname $HOMEGAYA)
+elif [ "$x_t" = "aix" ]; then
+   b_n_atlas=$LOGIN
+   d_n_atlas="/u/"$(dirname $HOME | awk -F\/ '{print $3"/"$4}')
+elif [ "$x_t" = "fjvpp" ]; then
+   b_n_atlas=$(basename $DMFDIR)
+   d_n_atlas=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
+elif [ "$x_t" = "sx6nec" ]; then
+   b_n_atlas=$(basename $DMFDIR)
+   d_n_atlas=$(dirname $DMFDIR)
+else
+echo "        !!! WARNING !!!"
+echo " The path for the output files on the storage server,"
+echo " needed for the descriptor files, is not automaticaly set."
+echo " Please specify manually this path by replacing the AAAAAAA"
+echo " string in the Output Job with the desired path."
+echo "        !!! WARNING !!!"
+fi
+
+case ${x_t} in
+  ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
+    solaris | t3e | sxnec | sx6nec | unix ) ;;
+  (*)
+    echo "Target_Host "${x_t}" not supported" 1>&2;
+    exit 1;;
+esac
+#-
+x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
+
+if [ ${x_v} = 'verbose' ]; then
+  echo '--- Mode              : '${x_v};
+  echo '--- Compilation       : '${x_d};
+  echo '--- Target            : '${x_t};
+  echo '--- Name              : '${x_n};
+  echo '--- MODIPSL directory : '${x_m};
+fi;
+#-
+#-
+l_rep=`find ${d_n}/.. -name AA_job -print`
+#-
+W_OS=${x_t};
+#
+if [ ${W_OS}  = "sxnec" ]; then
+   format='\s'
+elif [ ${W_OS}  = "aix" ]; then
+   format='\s'
+elif [ ${W_OS}  = "fjvpp" ]; then
+   format='\d'
+elif [ ${W_OS}  = "sx6nec" ]; then
+   format='\s'
+else
+echo "        !!! WARNING !!!"
+echo " The display format of numbers,"
+echo " needed for the dates, is not automaticaly set."
+echo " Please specify manually this format by replacing the PPPPPPP"
+echo " string in the Output Job with the desired format."
+echo "        !!! WARNING !!!"
+fi
+echo " ";
+echo "Installation of simple execution jobs for $W_OS";
+echo " ";
+#-
+for i in $l_rep
+do
+  j=${i%/AA_job}
+  MKTR="$j"'/AA_job'
+  Job_name=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $3}'`
+  JN2=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $2}'`
+  JN4=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $4}'`
+  r=$( (cd $j ; pwd) )
+  echo "Installation in directory : $(cd $j ; pwd) ";
+  sed -e "s,MMMMMMM,${x_m}," -e "s,RRRRRRR,${r}," -e "s,AAAAAAA,${d_n_atlas}\/${b_n_atlas},g" ${MKTR}  > jb1.$$
+  W_XX='#-Q- '$W_OS
+  FILE_NAME="";
+
+if [ '\?'${x_n} = '\?' ] && [ '\?'${Job_name} = '\?' ]; then
+    FILE_NAME="$j/Job"
+elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} = XXX ]; then
+    FILE_NAME="$j/Job_LO1"
+elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} = XXX ]; then
+  FILE_NAME="$j/Job_${x_n}"
+elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} != XXX ]; then
+  FILE_NAME="$j/Job_${Job_name}"
+elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} != XXX ]; then
+  FILE_NAME="$j/Job_${x_n}"
+fi
+
+ if [ ! -f "${FILE_NAME}" ]; then
+   case ${FILE_NAME} in
+      "$j/Job") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,JJJJJJJ,Job," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_LO1") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,LO1," -e "s,JJJJJJJ,Job_LO1," -e "s,:${JN2}:,," -e "s,${Job_name},LO1.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_${x_n}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${x_n}," -e "s,JJJJJJJ,Job_${x_n},"  -e "s,:${JN2}:,," -e "s,${Job_name},${x_n}.1,"  -e "s,:${JN4}:,,"  jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_${Job_name}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${Job_name}," -e "s,JJJJJJJ,Job_${Job_name},"  -e "s,:${JN2}:,," -e "s,${Job_name},${Job_name}.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+   esac
+   chmod 755 ${FILE_NAME}
+ else
+        echo " "
+        echo "WARNING : The file ${FILE_NAME} already exists, "
+        echo "WARNING : installation was not completed correctly "
+        echo "WARNING :       !!! NO FILE REPLACED !!!"
+        echo "WARNING : use parameter -n new_name to obtain Job_new_name script file"
+        echo "WARNING :   for example : ins_script -n LP1  "
+        echo " "
+   rm -f jb1.$$ 
+   exit 0;    
+ fi
+echo "Installation in file : `echo ${FILE_NAME} | sed -e 's,/.*/,,' ` ";
+ 
+#-$$ Introduire ici la selection de la technique de communication
+#-$$ pour OASIS (prefixe #-C- )
+done
+#-
+rm -f jb1.$$ 
+#-
+#-$$ launch ins_post if at least one post-processing utility exists
+#-$$
+OK_POST=`find ${d_n}/.. -name da2st`
+if [ -n "$OK_POST" ]; then
+${d_n}/ins_post -t ${x_t}
+fi
+exit 0;
Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 2)
+++ modipsl/trunk/util/mod.def	(revision 2)
@@ -0,0 +1,285 @@
+#- $Header: /home/ioipsl/CVSROOT/modipsl/util/mod.def,v 2.43 2006/01/18 13:51:32 adm Exp $
+#---------------------------------------------------------------------
+#- Pour chaque modele on definit
+#- ses composants (prefixe #-C-), leurs "tags" (prefixe #-T-),
+#- et l'index du serveur CVS correspondant (prefixe #-I-)
+#- dans la liste des serveurs (prefixe #-S-).
+#- Le tag "?" est utilise pour les composants sans tag particulier.
+#- Le tag "-?" est force avec l'option -H activee.
+#---------------------------------------------------------------------
+#- Adresses des serveurs CVS
+#-
+#-S- 1 anonymous@cvs.ipsl.jussieu.fr:/home/ioipsl/CVSROOT
+#-S- 2 sechiba@cvs.ipsl.jussieu.fr:/home/ssipsl/CVSREP
+#-S- 3 lmdzbrowse@cvs.lmd.jussieu.fr:/home/cvsroot
+#-S- 4 opa@cvs.ipsl.jussieu.fr:/home/opalod/CVSROOT
+#-S- 5 nemo@cvs.ipsl.jussieu.fr:/home/opalod/NEMOCVSROOT
+#-S- 6 inca@cvs.ipsl.jussieu.fr:/home/incaipsl/CVSROOT
+#---------------------------------------------------------------------
+#- Informations relatives aux modeles
+#- 
+#-H- IPSLCM4_v1  Modele couple IPSL en cours de finalisation
+#-H- IPSLCM4_v1  ORCA tag ipsl_cm4_v1_9
+#-H- IPSLCM4_v1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-H- IPSLCM4_v1  LMDZ tag IPSL-CM4_IPCC
+#-H- IPSLCM4_v1  ORCHIDEE tag orchidee_1_3
+#-H- IPSLCM4_v1  CPL Oasis tag IPSL : ipsl_cm4_v1_2
+#-H- IPSLCM4_v1  IPSLCM4_v1 configuration tag IPSL : ipsl_cm4_v1_5
+#-M- IPSLCM4_v1  patricia.cadule@ipsl.jussieu.fr
+#-C- IPSLCM4_v1  IOIPSL/src       CPL             ORCHIDEE      LMDZ.3.3      IPSLCM4_v1    OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
+#-T- IPSLCM4_v1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_2   orchidee_1_3  IPSL-CM4_IPCC ipsl_cm4_v1_6 ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
+#-I- IPSLCM4_v1  1                1               2             3             1             4              4              4
+#-D- IPSLCM4_v1  .                .               .             .             .             .              .              .
+#-
+#-H- IPSLCM4_LOOP  IPSL coupled model with tracer model and carbon cycle
+#-H- IPSLCM4_LOOP  ORCA (OPA+TRC+LIM) : tag ipsl_cm4_loop_1
+#-H- IPSLCM4_LOOP  IOIPSL/src tag ioipsl-2-0 
+#-H- IPSLCM4_LOOP  LMDZ4 tag IPSL-CM4_LOOP
+#-H- IPSLCM4_LOOP  ORCHIDEE tag orchidee_1_4
+#-H- IPSLCM4_LOOP  CPL Oasis tag IPSL : HEAD
+#-H- IPSLCM4_LOOP  IPSLCM4_LOOP configuration tag IPSL :  ipsl_cm4_loop_v1
+#-H- IPSLCM4_LOOP  Message sent to Patricia CADULE (IPSL)
+#-M- IPSLCM4_LOOP  patricia.cadule@ipsl.jussieu.fr 
+#-C- IPSLCM4_LOOP  IOIPSL/src       CPL         ORCHIDEE      LMDZ4           IPSLCM4_LOOP       IPSLCM4_v1/Utilitaires   OPA/SRC_ORCA    OPA/SRC_UCL     OPA/SRC_TRC     UTIL/fait_AA_make   
+#-T- IPSLCM4_LOOP  ioipsl-2-0       ?           orchidee_1_4  IPSL-CM4_LOOP   ?                  ipsl_cm4_v1_6            ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_loop_1 ipsl_cm4_v1_8 
+#-I- IPSLCM4_LOOP  1                1           2             3               1                  1                        4               4               4               4
+#-D- IPSLCM4_LOOP  .                .           .             .               IPSLCM4_LOOP       post_util                .               .               .               .
+#-L- IPSLCM4_LOOP  modeles          modeles     modeles       modeles         config             .                        modeles         modeles         modeles         modeles
+#-
+#-H- IPSLCM4_v1_OASIS3  Modele couple IPSL en cours de finalisation
+#-H- IPSLCM4_v1_OASIS3  ORCA tag ipsl_cm4_v1_10
+#-H- IPSLCM4_v1_OASIS3  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-H- IPSLCM4_v1_OASIS3  LMDZ4 tag IPSL-CM4_IPCC
+#-H- IPSLCM4_v1_OASIS3  ORCHIDEE tag orchidee_1_3
+#-H- IPSLCM4_v1_OASIS3  IPSLCM4_v1_OASIS3 configuration with OASIS3 coupler 23/03/05
+#-M- IPSLCM4_v1_OASIS3  arnaud.caubel@cea.fr
+#-C- IPSLCM4_v1_OASIS3  IOIPSL/src       ORCHIDEE      OASIS3        LMDZ4         IPSLCM4_v1_OASIS3    IPSLCM4_v1/Utilitaires OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
+#-T- IPSLCM4_v1_OASIS3  ioipsl-2-0       orchidee_1_3  ?             IPSL-CM4_IPCC_branch         ?            ipsl_cm4_v1_6          ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
+#-I- IPSLCM4_v1_OASIS3  1                2             1             3             1                    1                      4              4              4
+#-D- IPSLCM4_v1_OASIS3  .                .             prism         .             .                    post_util              .              .              . 
+#-L- IPSLCM4_v1_OASIS3  modeles          modeles       .             modeles       config               .                      modeles        modeles        modeles
+#-
+#-H- IOIPSL  IOIPSL source only
+#-H- IOIPSL  IOIPSL tag ioipsl-2-0
+#-M- IOIPSL  foujols@ipsl.jussieu.fr
+#-C- IOIPSL  IOIPSL/src
+#-T- IOIPSL  ioipsl-2-0
+#-I- IOIPSL  1
+#-D- IOIPSL  .
+#-
+#-H- IOIPSL_PLUS  IOIPSL source, tools, doc and samples
+#-H- IOIPSL_PLUS  IOIPSL (development version)
+#-M- IOIPSL_PLUS  foujols@ipsl.jussieu.fr
+#-C- IOIPSL_PLUS  IOIPSL
+#-T- IOIPSL_PLUS  ?
+#-I- IOIPSL_PLUS  1
+#-D- IOIPSL_PLUS  .
+#-
+#-H- ORCHIDEE  Modele ORCHIDEE seulement les sources
+#-H- ORCHIDEE  ORCHIDEE tag orchidee_1_3
+#-C- ORCHIDEE  ORCHIDEE
+#-M- ORCHIDEE  Martial.Mancip@ipsl.jussieu.fr
+#-T- ORCHIDEE  orchidee_1_3
+#-I- ORCHIDEE  2
+#-D- ORCHIDEE  .
+#-
+#-H- ORCHIDEE_OL  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL  ORCHIDEE tag orchidee_1_3
+#-H- ORCHIDEE_OL  ORCHIDEE_OL tag old_ioipsl
+#-M- ORCHIDEE_OL  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL  IOIPSL/src       ORCHIDEE       ORCHIDEE_OL
+#-T- ORCHIDEE_OL  ipsl_cm4_v1_9_1    orchidee_1_3   old_ioipsl
+#-I- ORCHIDEE_OL  1                2              2
+#-D- ORCHIDEE_OL  .                .              .
+#-
+#-H- ORCHIDEE_OL_IO2  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL_IO2  ORCHIDEE tag orchidee_1_3
+#-H- ORCHIDEE_OL_IO2  ORCHIDEE_OL Head version
+#-H- ORCHIDEE_OL_IO2  IOIPSL f90 version Head version
+#-M- ORCHIDEE_OL_IO2  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL_IO2  IOIPSL/src       ORCHIDEE       ORCHIDEE_OL
+#-T- ORCHIDEE_OL_IO2  ioipsl-2-0       orchidee_1_4   old_ioipsl
+#-I- ORCHIDEE_OL_IO2  1                2              2
+#-D- ORCHIDEE_OL_IO2  .                .              .
+#-
+#-H- ORCHIDEE_OL2  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL2  ORCHIDEE with no tag
+#-H- ORCHIDEE_OL2  ORCHIDEE_OL with no tag
+#-M- ORCHIDEE_OL2  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL2  IOIPSL/src ORCHIDEE       ORCHIDEE_OL
+#-T- ORCHIDEE_OL2  ?          ? 	     ?
+#-I- ORCHIDEE_OL2  1          2              2
+#-D- ORCHIDEE_OL2  .          .              .
+#-
+#-H- LMDZ  LMDZ main branch tagged in june 2001
+#-M- LMDZ  fairhead@lmd.jussieu.fr
+#-C- LMDZ  IOIPSL/src LMDZ.3.3
+#-T- LMDZ  ipsl_cm4_v1_9_1   rel-1-0-patch 
+#-I- LMDZ  1               3
+#-D- LMDZ  .               .
+#-
+#-H- LMDZOR  LMDZ with ORCHIDEE :
+#-H- LMDZOR  closest version to the IPSL coupled model
+#-H- LMDZOR  LMDZ tag IPSL-CM4_LJ29_OPT
+#-H- LMDZOR  ORCHIDEE tag orchidee_1_3
+#-M- LMDZOR  fairhead@lmd.jussieu.fr
+#-C- LMDZOR  IOIPSL/src      ORCHIDEE      LMDZ.3.3            LMDZOR
+#-T- LMDZOR  ipsl_cm4_v1_9_1   orchidee_1_3  IPSL-CM4_LJ29_OPT   ?
+#-I- LMDZOR  1               2             3                   3
+#-D- LMDZOR  .               .             .                   .
+#-
+#-H- LMDZ4OR  LMDZ with ORCHIDEE :
+#-H- LMDZ4OR  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
+#-H- LMDZ4OR  LMDZ4 IPSL-CM4_IPCC_branch version
+#-H- LMDZ4OR  ORCHIDEE tag orchidee_1_3
+#-H- LMDZ4OR  IOIPSL tag ioipsl-2-0
+#-M- LMDZ4OR  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR  IOIPSL/src      ORCHIDEE      LMDZ4                 LMDZ4OR   IPSLCM4_v1/Utilitaires
+#-T- LMDZ4OR  ioipsl-2-0      orchidee_1_3  IPSL-CM4_IPCC_branch  ?         ipsl_cm4_v1_6
+#-I- LMDZ4OR  1               2             3                     1         1
+#-D- LMDZ4OR  .               .             .                     .         post_util
+#-L- LMDZ4OR  modeles         modeles       modeles               config    .
+#-
+#-H- LMDZ4INCA  LMDZ with INCA :
+#-H- LMDZ4INCA  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
+#-H- LMDZ4INCA  LMDZ4 reference version
+#-H- LMDZ4INCA  INCA.2 reference version
+#-H- LMDZ4INCA  IOIPSL tag ioipsl-2-0
+#-M- LMDZ4INCA  Anne.Cozic@cea.fr    
+#-C- LMDZ4INCA  IOIPSL/src      INCA.2        LMDZ4                 LMDZ4INCA
+#-T- LMDZ4INCA  ioipsl-2-0      ?             ?                     ?
+#-I- LMDZ4INCA  1               6             3                     1
+#-D- LMDZ4INCA  .               .             .                     .
+#-L- LMDZ4INCA  modeles         modeles       modeles               config
+#-
+#-H- LMDZOR_V1  LMDZ with ORCHIDEE. 
+#-H- LMDZOR_V1  ORCHIDEE no tag 
+#-H- LMDZOR_V1  LMDZ tag IPSL-CM4_v2x0
+#-M- LMDZOR_V1  fairhead@lmd.jussieu.fr
+#-C- LMDZOR_V1  IOIPSL/src ORCHIDEE      LMDZ.3.3   LMDZOR
+#-T- LMDZOR_V1  ipsl_cm4_v1_9_1  HEAD          rel-LF       ?
+#-I- LMDZOR_V1  1              2             3            3
+#-D- LMDZOR_V1  .              .             .            .
+#-
+#-H- ORCA2  ORCA 2 degrees - no ice model
+#-H- ORCA2  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2  opatlod@lodyc.jussieu.fr
+#-C- ORCA2  IOIPSL/src     OPA/SRC_ORCA   UTIL/fait_AA_make CONFIG/ORCA2
+#-T- ORCA2  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_8     ?
+#-I- ORCA2  1              4              4                 4
+#-D- ORCA2  .              .              .                 ORCA2
+#-
+#-H- ORCA2_LIM  ORCA 2 degrees with Louvain Ice Model
+#-H- ORCA2_LIM  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM  LIM tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_LIM  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_LIM  IOIPSL/src     OPA/SRC_ORCA   OPA/SRC_UCL   UTIL/fait_AA_make CONFIG/ORCA2_LIM
+#-T- ORCA2_LIM  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_6 ipsl_cm4_v1_8     ?
+#-I- ORCA2_LIM  1              4              4             4                 4
+#-D- ORCA2_LIM  .              .              .             .                 ORCA2_LIM
+#-
+#-H- NEMO  NEMO
+#-H- NEMO  OPA 
+#-H- NEMO  LIM 
+#-H- NEMO  TOP 
+#-H- NEMO  IOIPSL/src tag ioipsl-2-0
+#-H- NEMO  NEMO sources and configurations
+#-M- NEMO  opatlod@lodyc.jussieu.fr
+#-C- NEMO  IOIPSL/src      NEMO          UTIL          CONFIG/GYRE          CONFIG/ORCA2_LIM
+#-T- NEMO  ioipsl-3-0      nemo_v1_09    nemo_v1_09    nemo_v1_09           nemo_v1_09
+#-I- NEMO  1               5             5             5                    5 
+#-D- NEMO  .               .             .             GYRE                 ORCA2_LIM
+#-L- NEMO  modeles         modeles       modeles       config               config
+#-
+#-H- ORCA4_LIM  ORCA 4 degrees with Louvain Ice Model
+#-H- ORCA4_LIM  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA4_LIM  LIM tag ipsl_cm4_v1_6
+#-H- ORCA4_LIM  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA4_LIM  opatlod@lodyc.jussieu.fr
+#-C- ORCA4_LIM  IOIPSL/src      OPA/SRC_ORCA  OPA/SRC_UCL    UTIL/fait_AA_make CONFIG/ORCA4_LIM
+#-T- ORCA4_LIM  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_6  ipsl_cm4_v1_8     ?
+#-I- ORCA4_LIM  1              4              4              4                 4
+#-D- ORCA4_LIM  .              .              .              .                 ORCA4_LIM
+#-
+#-H- ORCA2_LIM_TRC  ORCA 2 degrees with Louvain Ice Model with tracers model
+#-H- ORCA2_LIM_TRC  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM_TRC  LIM tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM_TRC  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_LIM_TRC  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_LIM_TRC  IOIPSL/src     OPA/SRC_ORCA   OPA/SRC_UCL   OPA/SRC_TRC     UTIL/fait_AA_make CONFIG/ORCA2_LIM_TRC
+#-T- ORCA2_LIM_TRC  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_6 ipsl_cm4_v1_6   ipsl_cm4_v1_8     ?
+#-I- ORCA2_LIM_TRC  1              4              4             4               4                 4
+#-D- ORCA2_LIM_TRC  .              .              .             .               .                 ORCA2_LIM_TRC
+#
+#-H- ORCA2_OFF_TRC  ORCA 2 degrees offline with tracers model
+#-H- ORCA2_OFF_TRC  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_OFF_TRC  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_OFF_TRC  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_OFF_TRC  IOIPSL/src     OPA/SRC_OFFLINE_TRC OPA/SRC_TRC    UTIL/fait_AA_make CONFIG/ORCA2_OFF_TRC
+#-T- ORCA2_OFF_TRC  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6       ipsl_cm4_v1_6  ipsl_cm4_v1_8     ?
+#-I- ORCA2_OFF_TRC  1              4                   4                 4              4
+#-D- ORCA2_OFF_TRC  .              .                   .                 .              ORCA2_OFF_TRC
+#-
+#-H- EEL2  EEL2 configuration - no ice model
+#-H- EEL2  ORCA tag ipsl_cm4_v1_6
+#-H- EEL2  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL2  opatlod@lodyc.jussieu.fr
+#-C- EEL2  IOIPSL/src     OPA/SRC_ORCA    UTIL/fait_AA_make CONFIG/EEL2
+#-T- EEL2  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6   ipsl_cm4_v1_8     ?
+#-I- EEL2  1              4               4                 4
+#-D- EEL2  .              .               .                 EEL2
+#-
+#-H- EEL2_LOBSTER1  EEL2_LOBSTER1 configuration, EEL2+tracers - no ice model
+#-H- EEL2_LOBSTER1  ORCA tag ipsl_cm4_v1_6
+#-H- EEL2_LOBSTER1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL2_LOBSTER1  opatlod@lodyc.jussieu.fr
+#-C- EEL2_LOBSTER1  IOIPSL/src     OPA/SRC_ORCA   OPA/SRC_TRC     UTIL/fait_AA_make CONFIG/EEL2_LOBSTER1
+#-T- EEL2_LOBSTER1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_6   ipsl_cm4_v1_8     ?
+#-I- EEL2_LOBSTER1  1              4              4               4                 4
+#-D- EEL2_LOBSTER1  .              .              .               .                 EEL2_LOBSTER1
+#-
+#-H- EEL6  EEL6 configuration - no ice model
+#-H- EEL6  ORCA tag ipsl_cm4_v1_6
+#-H- EEL6  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL6  opatlod@lodyc.jussieu.fr
+#-C- EEL6  IOIPSL/src     OPA/SRC_ORCA   UTIL/fait_AA_make CONFIG/EEL6
+#-T- EEL6  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6  ipsl_cm4_v1_8     ?
+#-I- EEL6  1              4              4                 4
+#-D- EEL6  .              .              .                 EEL6
+#-
+#-H- EEL6_LOBSTER1  EEL6_LOBSTER1 configuration, EEL6+tracers - no ice model
+#-H- EEL6_LOBSTER1  ORCA tag ipsl_cm4_v1_6
+#-H- EEL6_LOBSTER1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL6_LOBSTER1  opatlod@lodyc.jussieu.fr
+#-C- EEL6_LOBSTER1  IOIPSL/src     OPA/SRC_ORCA    OPA/SRC_TRC     UTIL/fait_AA_make CONFIG/EEL6_LOBSTER1
+#-T- EEL6_LOBSTER1  ipsl_cm4_v1_9_1  ipsl_cm4_v1_6   ipsl_cm4_v1_6   ipsl_cm4_v1_8     ?
+#-I- EEL6_LOBSTER1  1              4               4               4                 4
+#-D- EEL6_LOBSTER1  .              .               .               .                 EEL6_LOBSTER1
+#-
+#-M- TOY  foujols@ipsl.jussieu.fr
+#-C- TOY  TOY  CPL
+#-T- TOY  ?    ?
+#-I- TOY  1    1
+#-D- TOY  .    .
+#-
+#-H- ORCA_TOYATM  Modele couple ORCA4 - TOYATM
+#-H- ORCA_TOYATM  ORCA tag ipsl_cm4_v1_10
+#-H- ORCA_TOYATM  IOIPSL/src tag Head
+#-H- ORCA_TOYATM  ORCA_TOYATM configuration with OASIS3 coupler 06/2005
+#-M- ORCA_TOYATM  arnaud.caubel@cea.fr
+#-C- ORCA_TOYATM  IOIPSL/src       OASIS3        TOY/ATM      ORCA_TOYATM    OPA/SRC_ORCA   OPA/SRC_UCL    UTIL/fait_AA_make   
+#-T- ORCA_TOYATM  ?                ?             ?            ?              ipsl_cm4_v1_10 ipsl_cm4_v1_10 ipsl_cm4_v1_8 
+#-I- ORCA_TOYATM  1                1             1            1              4              4              4
+#-D- ORCA_TOYATM  .                prism         TOYATM       .              .              .              . 
+#-L- ORCA_TOYATM  modeles          .             modeles      config         modeles        modeles        modeles
+
+
+
+
+
+
+
+
+
Index: modipsl/trunk/util/model
===================================================================
--- modipsl/trunk/util/model	(revision 2)
+++ modipsl/trunk/util/model	(revision 2)
@@ -0,0 +1,318 @@
+#!/bin/ksh
+#- $Id: model,v 2.8 2005/06/17 11:43:38 adm Exp $
+#---------------------------------------------------------------------
+# @(#)Actions relatives aux modeles IPSL
+#---------------------------------------------------------------------
+#-
+#set -xv
+MAIL_ADDRESS=patricia.cadule@ipsl.jussieu.fr
+MAIL_COM=mail
+#MAIL_COM=Mail
+#------------------------------------------------------------
+#- Decomposition du nom d'appel de la procedure (d_n/b_n) ---
+#------------------------------------------------------------
+d_n=$(dirname $0); b_n=$(basename $0);
+#--------------------------------------
+#- Saisie et validation des options ---
+#--------------------------------------
+m_n=""; m_a=""; m_v='silencious'; no_tag='false'; 
+while getopts :heudrvH V
+  do
+    case $V in
+      (h)  m_a='help';;
+      (e)  m_a='checkout';;
+      (u)  m_a='update';;
+      (d)  m_a='diff';;
+      (r)  m_a='remove';;
+      (v)  m_v='verbose';;
+      (H)  no_tag='true';;
+      (:)  echo ${b_n}" : option $OPTARG : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : option $OPTARG : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+case ${m_a} in
+  ( checkout | update | diff | remove ) ;;
+  ("") m_a='checkout';;
+esac
+#-----------------------------
+#- Saisie du nom du modele ---
+#-----------------------------
+if   [ ${#} -gt 1 ]; then
+  echo 'Only one model can be specified' 1>&2;
+  exit 3;
+elif [ ${#} -eq 1 ]; then
+  m_n="${1}";
+elif [ ${m_a} != 'help' ]; then
+  echo 'Model not specified' 1>&2;
+  echo 'Try "'${b_n}' -h [model-name]"' 1>&2;
+  exit 3;
+fi
+#-----------------------------------------------
+#- Test d'existence du fichier de definition ---
+#-----------------------------------------------
+F_DEF=${d_n}'/mod.def'
+[ ! -f "${F_DEF}" ] && { echo "${F_DEF} unreachable ..."; exit 3; }
+#-----------------------------------------------
+#- Extraction des noms des modeles supportes ---
+#-----------------------------------------------
+QQQ=$(sed -n -e "s/^#-C-  *\([^ ]*\).*$/\1/p" ${F_DEF});
+qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_x[qi]=${i}; done
+#-------------------------------------------------------------
+#- Validation du nom du modele et saisie des informations  ---
+#-------------------------------------------------------------
+[ '\?'"${m_n}" != '\?' ] && \
+  {
+    i_m=-1;
+    qi=0; while (( ${qi} < ${#m_x[@]} ))
+      do
+        ((qi=qi+1));
+        [ ${m_n} = ${m_x[qi]} ] && { i_m=${qi}; break; };
+      done
+    (( ${i_m} < 0 )) && \
+     { echo 'Model '"${m_n}"' unknown' 1>&2;
+       echo 'Try "'${b_n}' -h"' 1>&2;
+       exit 3; }
+    #- Recherche de l'adresse email a qui envoyer les infos
+    QQQ=$(sed -n -e "s/^#-M-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] && \
+      { echo 'Address mail not found for '${m_n}; exit 3; }
+    m_m=${QQQ}
+    #- Recherche des composants
+    QQQ=$(sed -n -e "s/^#-C-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] && \
+      { echo 'Components not found for '${m_n}; exit 3; }
+    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_c[qi]=${i}; done
+    #- Recherche des tags
+    QQQ=$(sed -n -e "s/^#-T-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] && \
+      { echo 'Tags not found for '${m_n}; exit 3; }
+    qi=0; for i in ${QQQ}
+      do 
+        ((qi=qi+1)); 
+         if [ ${no_tag} = 'false' ]; then
+           m_t[qi]=${i}; 
+         else
+           m_t[qi]='?'
+         fi
+      done
+    #- Recherche des serveurs CVS
+    QQQ=$(sed -n -e "s/^#-I-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] && \
+      { echo 'Indexes not found for '${m_n}; exit 3; }
+    qi=0; for i in ${QQQ}
+      do
+        ((qi=qi+1));
+        QQS=$(sed -n -e "s/^#-S-  *${i}  *//p" ${F_DEF});
+        [ '\?'"${QQS}" = '\?' ] && \
+          { echo 'Server number '${i}' not found'; exit 3; }
+        m_s[qi]=${QQS};
+      done
+    #- Recherche des directories
+    QQQ=$(sed -n -e "s/^#-D-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] && \
+      { echo 'Target Directories not found for '${m_n}; exit 3; }
+    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_d[qi]=${i}; m_l[qi]="modeles"; done     
+    #- Recherche des local directories
+    QQQ=$(sed -n -e "s/^#-L-  *${m_n}  *//p" ${F_DEF});
+    [ '\?'"${QQQ}" = '\?' ] || \
+    qi=0; for i in ${QQQ}; do ((qi=qi+1)); m_l[qi]=${i}; done     
+  }
+#----------------------------------------------------------------
+# envoi d'un mail si c'est la premiere fois qu on utilise modipsl
+#      ie directory ~/.modipsl do not exist
+#----------------------------------------------------------------
+D_LOG=${HOME}/.modipsl
+[ -d "${D_LOG}" ] || { mkdir "${D_LOG}" ; echo `date +"%D %T"` `whoami` `uname -m` first usage of model | ${MAIL_COM} -s "first usage of modipsl" ${MAIL_ADDRESS} >/dev/null 2>&1 ; echo `date +"%D %T"` creation >"${D_LOG}"/first ; }
+#--------------------------
+#- Traitement du "help" ---
+#--------------------------
+if [ ${m_a} = 'help' ]; then
+  echo ' ';
+  if [ '\?'"${m_n}" = '\?' ]; then
+    echo 'Usage    :';
+    echo ${b_n} '[-h]';
+    echo ${b_n} '[-h] model_name';
+    echo ${b_n} '[-e/u/d/r] [-H] [-v] model_name';
+    echo 'h            : this help';
+    echo 'h model-name : help on model';
+    echo 'e/u/d/r      : extract/update/diff/remove model';
+    echo 'H            : suppreses the tags and takes the HEAD version';
+    echo 'v            : verbose mode';
+    echo 'Defaults     : -e';
+    echo ' ';
+    echo 'model_name in :';
+    qi=0; while (( ${qi} < ${#m_x[@]} ));
+      do ((qi=qi+1)); echo ${m_x[qi]}; done
+  else
+    echo 'Modele      : '${m_n};
+    echo ' ';
+    sed -n -e "s/^#-H-  *${m_n}  *//p" ${F_DEF};
+    echo ' ';
+    qi=0; while (( ${qi} < ${#m_c[@]} ))
+      do
+        ((qi=qi+1));
+        echo 'Component '${qi}' : '${m_c[qi]};
+        echo 'Tag       '${qi}' : '${m_t[qi]};
+        echo 'Server    '${qi}' : '${m_s[qi]};
+        echo 'Directory '${qi}' : '${m_d[qi]};
+        echo 'Local Dir '${qi}' : '${m_l[qi]};
+      done
+  fi
+  echo ' ';
+  exit 0;
+fi
+#----------------------------------------------------------
+# enregistrement de la commande dans une log
+#----------------------------------------------------------
+F_LOG=${d_n}'/log'
+echo "${F_LOG}"
+echo `date +"%D %T"` $0 $* >>"${F_LOG}"
+#-------------
+#- VERBOSE ---
+#-------------
+[ ${m_v} = 'verbose' ] && \
+ { echo '--- Model        : '${m_n};
+   echo '--- Action       : '${m_a};
+   echo '--- Mode         : '${m_v}; }
+#---------------------------------------------
+#- record in F_LOG file model information  ---
+#---------------------------------------------
+{ echo '--- Model        : '${m_n};
+  echo '--- Action       : '${m_a};
+  echo '--- Mode         : '${m_v}; 
+  echo '--- Mail address : '${m_m}; } >>"${F_LOG}"
+#-----------------------------------------
+#- Repertoire d'accueil des composants ---
+#-----------------------------------------
+###d_m=${d_n}'/../modeles';
+d_m=${d_n}'/../';
+#--------------------------------------------------------------------
+#- Envoi d'un mail la premiere fois  qu on appelle model de ce modele
+#-    ie file ~/.modipsl/log.${m_n}
+#--------------------------------------------------------------------
+M_LOG=${D_LOG}/log.${m_n}
+[ -f "${M_LOG}" ] || { echo `date +"%D %T"` `whoami` `uname -m` first usage of model ${m_n} | ${MAIL_COM} -s "first usage of model ${m_n}" ${m_m} >/dev/null 2>&1 ; echo `date +"%D %T"` model ${m_n} >"${M_LOG}" ; }
+#-------------------------------
+#- Extraction des composants ---
+#-------------------------------
+qi=0; while (( ${qi} < ${#m_c[@]} ))
+  do
+    ((qi=qi+1)); zc=${m_c[qi]}; zt=${m_t[qi]}; zs=${m_s[qi]}; zd=${m_d[qi]}; zl=${m_l[qi]};
+    [ ${m_v} = 'verbose' ] && \
+     { echo '---';
+       echo '--- Component  : '${zc};
+       echo '--- Tag        : '${zt};
+       echo '--- CVS Server : '${zs}; 
+       echo '--- Directory  : '${zd}; 
+       echo '--- Local Dir  : '${zl}; }
+#---------------------------------------------
+#- record in F_LOG file model information  ---
+#---------------------------------------------
+     { echo '---';
+       echo '--- Component  : '${zc};
+       echo '--- Tag        : '${zt};
+       echo '--- CVS Server : '${zs}; 
+       echo '--- Directory  : '${zd}; 
+       echo '--- Local Dir  : '${zl}; } >>"${F_LOG}"
+    case ${m_a} in
+      ( checkout | update | diff )
+        c_c='(cd '${d_m}/${zl}'; cvs -d :pserver:'${zs}' '${m_a};
+        [ ${m_a} = 'checkout' -a ${zt} != '?' ] && \
+         { c_c=${c_c}' -r '${zt}; }
+        [ ${m_a} = 'checkout' -a ${zd} != '.' ] && \
+         { c_c=${c_c}' -d '${zd}; }  
+        c_c=${c_c}' '${zc}')';;
+      ( remove )
+        c_c='(cd '${d_m}/${zl}'; rm -rf '${zc}')';;
+      (*)
+        echo 'Action '"${m_a}"' not supported' 1>&2;
+        exit 4;;
+    esac
+    grep "${zs%%/*}"'.*/'"${zs#*/}" ~/.cvspass > /dev/null;
+    if [ ${?} != 0 ]; then
+      c_z='cvs -d :pserver:'${zs}' login';
+      [ ${m_v} = 'verbose' ] && { echo ${c_z}; }
+      eval ${c_z};
+    fi
+    [ ${m_v} = 'verbose' ] && { echo '--- Command    : '${c_c}; }
+    eval ${c_c};
+  done
+#--------------------------------------------------------
+#- Traitement du repertoire WORK pour les modeles OPA ---
+#--------------------------------------------------------
+case ${m_n} in
+  ( EEL* |  ORCA* | OFF_TRC | IPSLCM* | ORCA_TOYATM | NEMO_ORCA2_LIM | GYRE )
+    d_m1=${d_m}/modeles/OPA  ;
+    [ ${m_a} = 'checkout' -o ${m_a} = 'remove' ] &&
+      { [ -d ${d_m1}/WORK ] && \rm -rf ${d_m1}/WORK; };
+    [ ${m_a} = 'checkout' -o ${m_a} = 'update' ] &&
+   {
+     [ -d ${d_m1}/WORK ] || mkdir ${d_m1}/WORK;
+     cd ${d_m1}/WORK; 
+# Getting the configuration files to build the Makefile
+     ln -sf ../../../*/${m_n}/scripts/BB_make AA_make ; 
+     ln -sf ../../../*/${m_n}/scripts/BB_make.ldef AA_make.ldef ;
+     case ${m_n} in
+       ( ORCA2_LMDZ96x71 )
+         echo " Creation du catalogue OPA/WORK = ORCA + LIM"
+         ln -sf ../SRC_ORCA/*.[Ffh] .
+         ln -sf ../SRC_UCL/[a-z]* .
+         ln -sf ../../${m_n}/scripts/prep.sed.coupled .;;
+       ( ORCA2 | ORCA4 | ORCA05 | EEL2 | EEL6 )
+         echo " Creation du catalogue OPA/WORK = ORCA"
+         ln -sf ../SRC_ORCA/*.[Ffh] .;;
+       ( ORCA*LIM | IPSLCM* | ORCA_TOYATM | ORCA*LMD* )
+         [ "${m_n}" = "IPSLCM4_LOOP" ] && echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC" || echo " Creation du catalogue OPA/WORK = ORCA + LIM"
+         ln -sf ../SRC_ORCA/*.[Ffh] .
+         [ "${m_n}" = "IPSLCM4_LOOP" ] && \rm *.passivetrc.h
+         [ "${m_n}" = "IPSLCM4_LOOP" ] && ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+         ln -sf ../SRC_UCL/[a-z]* .;;
+       ( ORCA*_LIM_TRC )
+         echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC"
+         ln -sf ../SRC_ORCA/*.[Ffh] .
+         \rm *.passivetrc.h
+         ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+         ln -sf ../SRC_UCL/[a-z]* .;;
+       ( *LOBSTER1 )
+         echo " Creation du catalogue OPA/WORK = ORCA + TRC"
+         ln -sf ../SRC_ORCA/*.[Ffh] .
+         \rm *.passivetrc.h
+         ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .;;
+       ( ORCA*_OFF_TRC )
+         echo " Creation du catalogue OPA/WORK = TRC + OFFLINE"
+         ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+         ln -sf ../SRC_OFFLINE_TRC/*.[Ffh] .;;
+     esac
+# Building the standard list of source files
+     cat >.patron <<"EOF" 
+CVS
+SRC_PARAM
+SRC_FILE_LIST
+tmplist
+AA_make
+KEY_CPP
+Makefile
+*?.o
+ i.?*
+*?.L
+.patron
+bloc.com
+para.com
+defcst.f
+fontbc.f
+icdyna.f
+thersf.f
+EOF
+     ls -1 | fgrep -v -f .patron  >SRC_FILE_LIST ; cp SRC_FILE_LIST SRC_FILE_LIST.temp ;
+#
+     KEY=$(grep P_P AA_make.ldef);
+     [ -f "KEY_CPP" ] || echo $KEY > KEY_CPP;
+    };;
+esac
+#-------------
+#- [EN]FIN ---
+#-------------
+exit 0;
Index: modipsl/trunk/util/w_i_h
===================================================================
--- modipsl/trunk/util/w_i_h	(revision 2)
+++ modipsl/trunk/util/w_i_h	(revision 2)
@@ -0,0 +1,104 @@
+#!/bin/sh
+# $Id: w_i_h,v 2.4 2006/01/18 05:59:17 adm Exp $
+#---------------------------------------------------------------------
+#- w_i_h                                                    04/10/1999
+#- Reconnaissance du systeme
+#---------------------------------------------------------------------
+( uname -s 1> /dev/null ) 2> /dev/null
+if [ $? -ne 0 ]; then
+  exit 1;
+fi;
+#-
+USYS=`uname -s`;
+#-
+if   [ "$USYS" = "AIX" ]; then
+  WSYS=`uname -n | sed -e "s/^\(zahir\)\(.*\)/\1/"`;
+  if [ "$WSYS" = "zahir" ]; then
+    DSYS="aix";
+  else
+    DSYS="ax_mono";
+  fi;
+elif [ "$USYS" = "AIXESA" ]; then
+  DSYS="aixesa";
+elif [ "$USYS" = "ConvexOS" ]; then
+  DSYS="convex";
+elif [   "$USYS" = "CP486" \
+      -o "$USYS" = "dev"  ]; then
+  DSYS="sco";
+elif [ "$USYS" = "Darwin" ]; then
+  DSYS="Darwin";
+elif [ "$USYS" = "HP-UX" ]; then
+  WSYS=`uname -n`;
+  if [ "$WSYS" = "moon" ]; then
+    DSYS="eshpux";
+  else
+    DSYS="hpux";
+  fi;
+elif [ "$USYS" = "IRIX" ]; then
+  WSYS=`uname -r | sed -e "s/\..*//"`
+  if [ "$WSYS" = "4" ]; then
+    DSYS="sgi4";
+  else
+    DSYS="sgi5";
+  fi;
+elif [ "$USYS" = "IRIX64" ]; then
+  WSYS=`uname -n`;
+  if [ "$WSYS" = "rhodes" ]; then
+    DSYS="sxnec";
+  else
+    DSYS="sgi6";
+  fi;
+elif [ "$USYS" = "Linux" ]; then
+  WSYS=`uname -n | sed -e "s/^\(asterix\)\(.*\)/\1/" \
+                        -e "s/^\(obelix\)\(.*\)/\1/" \
+                        -e "s/^\(ds\)\([0-9]*\)/\1/"`
+  if [   "$WSYS" = "asterix" \
+      -o "$WSYS" = "obelix" ]; then
+    DSYS="lxiv8";
+  elif [ "$WSYS" = "mercure" ]; then
+    DSYS="sx6nec";
+  elif [ "$WSYS" = "ds" ]; then
+    DSYS="sxdkrz";
+  else
+    DSYS="linux";
+  fi;
+elif [ "$USYS" = "MIPS" ]; then
+  DSYS="mips";
+elif [ "$USYS" = "OSF1" ]; then
+  DSYS="osf1";
+elif [ "$USYS" = "SunOS" ]; then
+  WSYS=`uname -r | sed -e "s/\..*//"`
+  if [ "$WSYS" = "5" ]; then
+    WSYS=`uname -r | sed -e "s/.*\.//"`
+    if [   "$WSYS" = 1 \
+        -o "$WSYS" = 2 \
+        -o "$WSYS" = 3 ]; then
+      DSYS="solaris";
+    else
+      DSYS="solaris";
+    fi;
+  else
+    DSYS="sun";
+  fi;
+elif [ "$USYS" = "SUPER-UX" ]; then
+  DSYS="nec";
+elif [ "$USYS" = "ULTRIX" ]; then
+  DSYS="ultrix";
+elif [   "$USYS" = "UNICOS" \
+      -o "$USYS" = "sn4803" \
+      -o "$USYS" = "sn4602" ]; then
+  DSYS="cray";
+elif [ "$USYS" = "UNIX_System_V" ]; then
+  DSYS="fjvpp";
+else
+  WSYS=`uname -m`;
+  if [ "$WSYS" = "CRAY T3E" ]; then
+    DSYS="t3e";
+  else
+    DSYS="Unknown";
+  fi;
+fi;
+#-
+echo "$DSYS";
+#-
+exit 0;
